This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 187515 - System hangs when starting X-Server
System hangs when starting X-Server
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i686 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 10:48 EST by Ingo Schaefer
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 05:45:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log file from one previous run, which was hang after some seconds, too (38.94 KB, text/plain)
2006-03-31 10:48 EST, Ingo Schaefer
no flags Details

  None (edit)
Description Ingo Schaefer 2006-03-31 10:48:49 EST
Description of problem:

Installation went fine (even graphical), after reboot system hangs if the
X-Server ist started.
I edited /etc/inittab to go to runlevel 3 instead.

I even deleted xorg.conf and tried system-config-display --reconfig, but the
system hang immediately after starting the X-Server. Full log of this try is
shown below.

Version-Release number of selected component (if applicable):
actual release version

How reproducible:
always

Expected results:
The x-server should not bring the system to stop.

Additional info:
System is a Dell PowerEdge 1855 Blade Server, if that matters.

--- This is the full log from trying to reconfigure xorg
X Window System Version 7.0.0
Release Date: 21 December 2005
X Protocol Version 11, Revision 0, Release 7.0
Build Operating System:Linux 2.6.9-22.18.bz155725.ELsmp i686Red Hat, Inc.
Current Operating System: Linux vmbladeadm.fh-brandenburg.de
2.6.16-1.2080_FC5smp #1 SMP Tue Mar 28 03:55:15 EST 2006 i686
Build Date: 15 March 2006
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/dev/null", Time: Fri Mar 31 16:04:39 2006
(++) Using config file: "/tmp/tmpdCuNlnxorg.config"
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
>                   Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
Comment 1 Ingo Schaefer 2006-03-31 10:48:49 EST
Created attachment 127130 [details]
Log file from one previous run, which was hang after some seconds, too
Comment 2 Greg Scott 2006-04-05 23:08:20 EDT
I have the exact same problem with a Dell PE2850 running fc5.  The problem 
happens with kernels 2.6.16.1SMP and 2.6.15.1SMP.  I also just updated to the 
latest x11 pieces and it still hangs.  

I can't boot into runlevel 5, so I boot now into runlevel 3 instead.  

When I startx by hand, the console screen goes black and just sits there.  
When I ssh from another system, I see the X process consuming all of the CPU.  
kill -9 does not kill it.  The only fix seems to be a reboot.  Curiously, 
startx did work once.  But now it won't work to save my life.  

Here is some output from lspci and version info.

Sigh...  Life seemed simpler with Xfree86 - what was wrong with it?

- Greg Scott

[root@dellweb gregs]# 
[root@dellweb gregs]# /sbin/lspci
00:00.0 Host bridge: Intel Corporation E7520 Memory Controller Hub (rev 09)
00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A 
(rev 09)
00:04.0 PCI bridge: Intel Corporation E7525/E7520 PCI Express Port B (rev 09)
00:05.0 PCI bridge: Intel Corporation E7520 PCI Express Port B1 (rev 09)
00:06.0 PCI bridge: Intel Corporation E7520 PCI Express Port C (rev 09)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI 
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI 
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI 
Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI 
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface 
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE 
Controller (rev 02)
01:00.0 PCI bridge: Intel Corporation 80332 [Dobson] I/O processor (A-Segment 
Bridge) (rev 06)
01:00.2 PCI bridge: Intel Corporation 80332 [Dobson] I/O processor (B-Segment 
Bridge) (rev 06)
02:0e.0 RAID bus controller: Dell PowerEdge Expandable RAID controller 4 (rev 
06)
05:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 
09)
05:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 
09)
06:07.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet 
Controller (rev 05)
07:08.0 Ethernet controller: Intel Corporation 82541GI/PI Gigabit Ethernet 
Controller (rev 05)
08:00.0 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge A (rev 
09)
08:00.2 PCI bridge: Intel Corporation 6700PXH PCI Express-to-PCI Bridge B (rev 
09)
0b:0d.0 VGA compatible controller: ATI Technologies Inc Radeon RV100 QY 
[Radeon 7000/VE]
[root@dellweb gregs]# 
[root@dellweb gregs]# 
[root@dellweb gregs]# 
[root@dellweb gregs]# more /proc/version
Linux version 2.6.16-1.2080_FC5smp (bhcompile@hs20-bc1-5.build.redhat.com) 
(gcc version 4.1.0 20060304 (Red Hat 4.1.0-3)) #1 SMP Tue
 Mar 28 03:55:15 EST 2006
[root@dellweb gregs]# 
[root@dellweb gregs]# 
[root@dellweb gregs]# 
[root@dellweb gregs]# rpm -ql | grep x11
rpmq: no arguments given for query
[root@dellweb gregs]# rpm -qa | grep x11
xorg-x11-font-utils-1.0.1-3
xorg-x11-fonts-truetype-7.0-3
xorg-x11-drv-digitaledge-1.0.1.3-1.2
xorg-x11-drv-v4l-0.0.1.5-1.1
xorg-x11-drv-penmount-1.0.0.5-1.2
xorg-x11-drv-elo2300-1.0.0.5-1.2
xorg-x11-drv-tdfx-1.1.1.3-1.3
xorg-x11-drv-trident-1.0.1.2-1.2
xorg-x11-drv-mutouch-1.0.0.5-1.2
xorg-x11-drivers-7.0-2
xorg-x11-apps-1.0.1-2
xorg-x11-fonts-ISO8859-1-75dpi-7.0-3
xorg-x11-utils-1.0.1-1.2
xorg-x11-drv-keyboard-1.0.1.3-1.2
xorg-x11-drv-acecad-1.0.0.5-1.2
xorg-x11-drv-fbdev-0.1.0.5-1.2
xorg-x11-drv-cyrix-1.0.0.5-1.1
xorg-x11-drv-mga-1.2.1.3-1.2
xorg-x11-drv-i810-1.4.1.3-3.1
xorg-x11-drv-vga-4.0.0.5-2
xorg-x11-drv-i740-1.0.0.5-2
xorg-x11-xinit-1.0.1-2
xorg-x11-twm-1.0.1-1.2
xorg-x11-drv-aiptek-1.0.0.5-1.2
xorg-x11-fonts-100dpi-7.0-3
xorg-x11-drv-vesa-1.0.1.3-1.2
xorg-x11-drv-dynapro-1.0.0.5-1.2
xorg-x11-drv-cirrus-1.0.0.5-1.1
xorg-x11-drv-neomagic-1.0.0.5-1.1
xorg-x11-drv-sis-0.8.1.3-1.2
xorg-x11-drv-fpit-1.0.0.5-1.2
xorg-x11-drv-savage-2.0.2.3-1.2
xorg-x11-drv-tseng-1.0.0.5-1.1
xorg-x11-drv-citron-2.1.5-1
xorg-x11-drv-i128-1.1.0.5-1.1
xorg-x11-drv-s3-0.3.5.5-2
xorg-x11-drv-dummy-0.1.0.5-1.2
xorg-x11-drv-nv-1.0.1.5-3.1
xorg-x11-drv-magellan-1.0.0.5-1.2
xorg-x11-fonts-Type1-7.0-3
xorg-x11-xtrans-devel-1.0.0-3.2
xorg-x11-server-utils-1.0.1-1.2
xorg-x11-xauth-1.0.1-1.2
xorg-x11-xkbdata-1.0.1-7
xorg-x11-fonts-base-7.0-3
xorg-x11-xfs-1.0.1-4
xorg-x11-fonts-misc-7.0-3
xorg-x11-drv-mouse-1.0.4-1
xorg-x11-drv-via-0.1.33.2-2
xorg-x11-drv-ark-0.5.0.5-1.1
xorg-x11-drv-void-1.0.0.5-1.2
xorg-x11-drv-evdev-1.0.0.5-1.2
xorg-x11-drv-magictouch-1.0.0.5-1.2
xorg-x11-drv-s3virge-1.8.6.5-1.2
xorg-x11-drv-ur98-1.0.0.5-1.2
xorg-x11-drv-vmware-10.11.1.3-1.1
xorg-x11-drv-calcomp-1.0.0.5-1.2
xorg-x11-drv-jamstudio-1.0.0.5-1.2
xorg-x11-drv-hyperpen-1.0.0.5-1.2
xorg-x11-drv-palmax-1.0.0.5-1.2
xorg-x11-drv-joystick-1.0.0.5-1.2
xorg-x11-server-Xorg-1.0.1-9
dbus-x11-0.61-3
xorg-x11-drv-elographics-1.0.0.5-1.2
xorg-x11-drv-summa-1.0.0.5-1.2
xorg-x11-drv-spaceorb-1.0.0.5-1.2
xorg-x11-drv-chips-1.0.1.3-1.1
xorg-x11-drv-glint-1.0.1.3-2
xorg-x11-drv-nsc-2.7.6.5-2.1
xorg-x11-drv-microtouch-1.0.0.5-1.2
xorg-x11-xkb-utils-1.0.1-1.2
xorg-x11-filesystem-7.0-1
xorg-x11-fonts-75dpi-7.0-3
xorg-x11-drv-apm-1.0.1.5-1.1
xorg-x11-drv-dmc-1.0.0.5-1.2
xorg-x11-drv-sisusb-0.7.1.3-1.2
xorg-x11-drv-siliconmotion-1.3.1.5-1.1
xorg-x11-drv-ati-6.5.7.3-4
xorg-x11-drv-voodoo-1.0.0.5-1.2
xorg-x11-drv-rendition-4.0.1.3-1.1
xorg-x11-proto-devel-7.0-6
xorg-x11-fonts-ISO8859-1-100dpi-7.0-3
[root@dellweb gregs]# 


Comment 3 Greg Scott 2006-04-05 23:25:45 EDT
I just installed kernel 2.6.15-1.2054_FC5 from the fc5 RPMS and rebooted with 
this non-SMP kernel.  The other two kernels when I experienced the problem 
were SMP.  startx works with this non SMP kernel and now that PE2850 is mostly 
idle.

I don't have this system in production yet and I'm willing to gather more data 
as needed.  The problem seems to be related to SMP - how can I help get closer 
to it?  

- Greg Scott

Comment 4 Greg Scott 2006-04-05 23:35:32 EDT
Oh yes - one more note.  Sorry to keep adding comments.  That PE2850 is 
running Dell BIOS A04.  This is the newest one I could find on Dell's website.

- Greg Scott
Comment 5 Mike A. Harris 2006-05-19 05:48:07 EDT
Sounds like a kernel related hang you are experiencing when using SMP kernels.

Reassigning to kernel component.
Comment 6 Greg Scott 2006-05-19 10:57:14 EDT
duh!

Except that the X process is stuck in some kind of nasty infinite loop with 
the SMP kernel.  So is it X's fault or is the kernel's fault?

- Greg Scott
Comment 7 Ingo Schaefer 2006-05-30 03:00:12 EDT
I checked this again with the newest kernel ans newest x.org packages - problem
still persists.

trying to start x with "xinit" results in "no Corepointer", so I started
system-config-display to create a new configuration. It showed the typical
X-Server background and mouse curser, then showed the blue background and fedora
typical mouse curser and some milliseconds later the machine hang.

I had to switch off and on the machine.
Comment 8 Ingo Schaefer 2006-07-21 04:25:12 EDT
Today I tried kernel package kernel-smp-2.6.17-1.2157_FC5 with the same results.

I made sure that no xorg.conf exists on the system and fired up
system-config-display (from init 3) - after several seconds and one blinking
screen the configuration dialog came up with the default, seemed to figured out
the hardware correctly. I moved the mouse and after some seconds the machine was
frozen.

I'd really want to help you debugging this, please tell me how!

Regards,
Ingo
Comment 9 Dave Jones 2006-10-16 16:37:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 10 Ingo Schaefer 2006-10-17 04:09:44 EDT
I tested it again and the problem is still there.

What I did:

1. Rebooted with new kernel
2. start system-config-display to configure X
3. Server comes up, displaying background and "nice" mouse cursor, starting
display of the configuration program and half a second later the system hangs.

Regards,
Ingo
Comment 11 Dave Jones 2006-10-19 14:16:13 EDT
I have no ideas on this one. Adam ?
Comment 12 Matěj Cepl 2007-04-04 18:03:48 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the latest release of Fedora (FC6)?
Comment 13 Matěj Cepl 2007-06-28 11:34:54 EDT
Reporter, could you please reply to the previous question? If you won't reply in
two weeks, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 14 Greg Scott 2007-06-30 19:45:08 EDT
I will try to load fc7 on that same PE2850 that failed last year with fc5.  I 
have a busy week coming up, so I will do the testing either this week or 
next.  

- Greg Scott
Comment 15 Ingo Schaefer 2007-07-02 15:46:27 EDT
My machine is in production now with fc5 - currently I am not able to load fc6
or even Fedora 7 on this machine - sorry.

Regards,
Ingo
Comment 16 Matěj Cepl 2007-07-03 09:50:17 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 17 Greg Scott 2007-07-20 05:13:55 EDT
I wiped that same Dell PE2850 that failed 16 months ago with fc5 and loaded 
fc7 from bare metal.  So far everything seems to be working with fc7.  

I have to ask - is bugzilla the proper place to report problems?  It took 
almost 4 months for anyone to respond to the original report and near as I can 
tell, nobody ever worked the problem over the past 16 months.  The original 
problem reports had plenty of info for an engineering team to reproduce the 
problem, yet the only suggestions offered were variations of try the latest 
version and see if the bug persists - and then a comment that the version 
originally reported is no longer supported.  I don't mean to be harsh, but if 
this is the kind of attention this bugzilla system receives, what is the sense 
in taking the time to report problems here?

- Greg Scott
Comment 18 Matěj Cepl 2007-07-20 05:45:07 EDT
I am really sorry for the delay with replying to this bug -- overload with bugs
is the reason why we are closing all bugs which are not relevant, so we can
focuse on the new ones. Yes, this bugzilla is exactly the best place where you
can get support for Fedora products.

If I understand correctly, you are not able to reproduce this bug anymore, so I
am closing it.

Note You need to log in before you can comment on or make changes to this bug.